Subject: Re: bug#65554: 30.0.50; help-echo string for truncated tab-bar names is not viewable

From: Juri Linkov <[email-masked]>
Date: Sun, 27 Aug 2023 19:55:09 +0300

>>> If you set tab-bar-tab-name-function to use tab-bar-tab-name-truncated,
>>> the latter function sets the help-echo string of the tab-bar name to the
>>> full name
>>
>> Actually the help-echo string with the full name is not viewable
>> even if you remove the :help lines from tab-bar--format-tab.
>>
>> I propose to move truncating the name from
>> tab-bar-tab-name-function to
>> tab-bar-tab-name-format-function.
>
> Correct me if I'm wrong, isn't tab-bar-tab-name-function indirectly used
> by tab-bar-tab-name-format-function?  If that is the case, shouldn't the
> help-echo string survive once :help lines are removed from
> tab-bar--format-tab?

The help-echo string survives, but it is not displayed by the
current implementation.  So you can't see even the help string
"Click to close tab" on the tab-bar-close-button.